# class ActionView::Helpers::AssetTagHelper::JavascriptIncludeTag

### Public Instance Methods

asset_name() click to toggle source

    # File lib/action_view/helpers/asset_tag_helpers/javascript_tag_helpers.rb, line 10
    def asset_name
      'javascript'
    end

asset_tag(source, options) click to toggle source

    # File lib/action_view/helpers/asset_tag_helpers/javascript_tag_helpers.rb, line 18
    def asset_tag(source, options)
      content_tag("script", "", { "type" => Mime::JS, "src" => path_to_asset(source) }.merge(options))
    end

custom_dir() click to toggle source

    # File lib/action_view/helpers/asset_tag_helpers/javascript_tag_helpers.rb, line 22
    def custom_dir
      config.javascripts_dir
    end

extension() click to toggle source

    # File lib/action_view/helpers/asset_tag_helpers/javascript_tag_helpers.rb, line 14
    def extension
      'js'
    end